Upstream information

CVE-2006-5051 at MITRE

Description

Signal handler race condition in OpenSSH before 4.4 allows remote attackers to cause a denial of service (crash), and possibly execute arbitrary code if GSSAPI authentication is enabled, via unspecified vectors that lead to a double-free.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.1 8.1
Vector CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Attack Vector Network Network
Attack Complexity High High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entries: 1226641 [NEW], 208662 [RESOLVED / FIXED], 426510 [RESOLVED / FIXED], 545317 [CLOSED / INVALID]

SUSE Security Advisories:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SLES15-SP5-CHOST-BYOS-Aliyun openssh Not affected
SLES15-SP5-CHOST-BYOS-Azure openssh Not affected
SLES15-SP5-CHOST-BYOS-EC2 openssh Not affected
SLES15-SP5-CHOST-BYOS-GCE openssh Not affected
SLES15-SP5-CHOST-BYOS-SAP-CCloud openssh Not affected
SUSE Enterprise Storage 7.1 openssh Not affected
SUSE Linux Enterprise Desktop 15 SP5 openssh Not affected
SUSE Linux Enterprise Desktop 15 SP6 openssh Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 openssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 openssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP6 openssh Not affected
SUSE Linux Enterprise Micro 5.1 openssh Not affected
SUSE Linux Enterprise Micro 5.2 openssh Not affected
SUSE Linux Enterprise Micro 5.3 openssh Not affected
SUSE Linux Enterprise Micro 5.4 openssh Not affected
SUSE Linux Enterprise Micro 5.5 openssh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 openssh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP6 openssh Not affected
SUSE Linux Enterprise Server 12 SP5 openssh Not affected
SUSE Linux Enterprise Server 15 SP5 openssh Not affected
SUSE Linux Enterprise Server 15 SP6 openssh Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openssh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 openssh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP6 openssh Not affected
SUSE Manager Proxy 4.3 openssh Not affected
SUSE Manager Retail Branch Server 4.3 openssh Not affected
SUSE Manager Server 4.3 openssh Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SLES15-EC2-CHOST-HVM-BYOS openssh Not affected
SLES15-SP1-CHOST-BYOS-Azure openssh Not affected
SLES15-SP1-CHOST-BYOS-EC2 openssh Not affected
SLES15-SP1-CHOST-BYOS-GCE openssh Not affected
SLES15-SP2-CHOST-BYOS-Aliyun openssh Not affected
SLES15-SP2-CHOST-BYOS-Azure openssh Not affected
SLES15-SP2-CHOST-BYOS-EC2 openssh Not affected
SLES15-SP2-CHOST-BYOS-GCE openssh Not affected
SLES15-SP3-CHOST-BYOS-Aliyun openssh Not affected
SLES15-SP3-CHOST-BYOS-Azure openssh Not affected
SLES15-SP3-CHOST-BYOS-EC2 openssh Not affected
SLES15-SP3-CHOST-BYOS-GCE openssh Not affected
SLES15-SP3-CHOST-BYOS-SAP-CCloud openssh Not affected
SLES15-SP4-CHOST-BYOS openssh Not affected
SLES15-SP4-CHOST-BYOS-Aliyun openssh Not affected
SLES15-SP4-CHOST-BYOS-Azure openssh Not affected
SLES15-SP4-CHOST-BYOS-EC2 openssh Not affected
SLES15-SP4-CHOST-BYOS-GCE openssh Not affected
SLES15-SP4-CHOST-BYOS-SAP-CCloud openssh Not affected
SUSE Linux Enterprise Desktop 15 SP4 openssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 openssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS openssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS openssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 openssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS openssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS openssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 openssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS openssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS openssh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 openssh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 openssh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 openssh Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP2 openssh Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 openssh Not affected
SUSE Linux Enterprise Server 15 SP2 openssh Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS openssh Not affected
SUSE Linux Enterprise Server 15 SP3 openssh Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS openssh Not affected
SUSE Linux Enterprise Server 15 SP4 openssh Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS openssh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 openssh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 openssh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 openssh Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 openssh Not affected
SUSE CaaS Platform 3.0 openssh Not affected
SUSE CaaS Platform 4.0 openssh Not affected
SUSE Enterprise Storage 6 openssh Not affected
SUSE Enterprise Storage 7 openssh Not affected
SUSE Linux Enterprise Desktop 12 SP2 openssh Not affected
SUSE Linux Enterprise Desktop 12 SP3 openssh Not affected
SUSE Linux Enterprise Desktop 12 SP4 openssh Not affected
SUSE Linux Enterprise Desktop 15 openssh Not affected
SUSE Linux Enterprise Desktop 15 SP1 openssh Not affected
SUSE Linux Enterprise Desktop 15 SP2 openssh Not affected
SUSE Linux Enterprise Desktop 15 SP3 openssh Not affected
SUSE Linux Enterprise High Performance Computing 15 openssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 openssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS openssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS openssh Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS openssh Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS openssh Not affected
SUSE Linux Enterprise Micro 5.0 openssh Not affected
SUSE Linux Enterprise Module for Basesystem 15 openssh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 openssh Not affected
SUSE Linux Enterprise Module for Server Applications 15 openssh Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP1 openssh Not affected
SUSE Linux Enterprise Point of Service 11 SP3 openssh Unsupported
SUSE Linux Enterprise Real Time 15 SP2 openssh Not affected
SUSE Linux Enterprise Real Time 15 SP3 openssh Not affected
SUSE Linux Enterprise Real Time 15 SP4 openssh Not affected
SUSE Linux Enterprise Server 11 SP3 openssh Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS openssh Not affected
SUSE Linux Enterprise Server 11 SP4 openssh Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS openssh Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS openssh Not affected
SUSE Linux Enterprise Server 12 SP2 openssh Not affected
SUSE Linux Enterprise Server 12 SP2-BCL openssh Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS openssh Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS openssh Not affected
SUSE Linux Enterprise Server 12 SP3 openssh Not affected
SUSE Linux Enterprise Server 12 SP3-BCL openssh Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS openssh Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS openssh Not affected
SUSE Linux Enterprise Server 12 SP4 openssh Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS openssh Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS openssh Not affected
SUSE Linux Enterprise Server 15 openssh Not affected
SUSE Linux Enterprise Server 15 SP1 openssh Not affected
SUSE Linux Enterprise Server 15 SP1-BCL openssh Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS openssh Not affected
SUSE Linux Enterprise Server 15 SP2-BCL openssh Not affected
SUSE Linux Enterprise Server 15 SP3-BCL openssh Not affected
SUSE Linux Enterprise Server 15-LTSS openssh Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 openssh Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 openssh Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 openssh Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openssh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 openssh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 openssh Not affected
SUSE Manager Proxy 4.0 openssh Not affected
SUSE Manager Proxy 4.1 openssh Not affected
SUSE Manager Proxy 4.2 openssh Not affected
SUSE Manager Retail Branch Server 4.0 openssh Not affected
SUSE Manager Retail Branch Server 4.1 openssh Not affected
SUSE Manager Retail Branch Server 4.2 openssh Not affected
SUSE Manager Server 4.0 openssh Not affected
SUSE Manager Server 4.1 openssh Not affected
SUSE Manager Server 4.2 openssh Not affected
SUSE OpenStack Cloud 7 openssh Not affected
SUSE OpenStack Cloud 8 openssh Not affected
SUSE OpenStack Cloud 9 openssh Not affected
SUSE OpenStack Cloud Crowbar 8 openssh Not affected
SUSE OpenStack Cloud Crowbar 9 openssh Not affected
Security Module for SUSE Linux Enterprise 11 openssh-openssl1 Not affected
Container Status
ses/7.1/cephcsi/cephcsi
ses/7.1/rook/ceph
ses/7/ceph/ceph
ses/7/cephcsi/cephcsi
ses/7/rook/ceph
suse/hpc/warewulf4-x86_64/sle-hpc-node
suse/manager/4.3/proxy-ssh
suse/manager/5.0/x86_64/proxy-ssh
suse/manager/5.0/x86_64/server
suse/sle-micro-rancher/5.2
suse/sle-micro-rancher/5.3
suse/sle-micro-rancher/5.4
suse/sle-micro/5.5
trento/trento-runner
opensshNot affected


SUSE Timeline for this CVE

CVE page created: Fri Jun 28 05:13:15 2013
CVE page last modified: Thu Jun 20 19:09:33 2024